
Application: gvSIG desktop - gvSIG feature requests #2206
Fallo de memoria al cargar capa WFS (caché vectorial)
01/16/2014 04:05 PM - Yurimar Sosa

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: WFS
Target version:
gvSIG version: 2.1.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

Al cargar una capa WMS y después una capa WFS, gvSIG se queda sin memoria.
La petición al WFS se realiza correctamente y almacena el GML en /tmp/tmp-andami. Este GML ocupa 37MB.
También se ha aumentado la memoria de la JVM desde 512MB a 1024MB pero sigue fallando.
Adjunto el log.

History
#1 - 01/16/2014 04:32 PM - Álvaro Anguix
- Status changed from New to Awaiting response
- Assignee set to Ignacio Brodín
- Priority changed from Normal to High
- Target version set to 2.1.0-2219-testing

Yurimar, no sé si el WMS es público.
Si así fuera, ¿puedes poner aquí el enlace para intentar replicar el error?

#2 - 01/16/2014 06:08 PM - Joaquín  del Cerro Murciano
- Assignee deleted (Ignacio Brodín)
- Target version changed from 2.1.0-2219-testing to 2.1.0-2223-rc1

#3 - 01/17/2014 09:56 AM - Álvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests
- Subject changed from Fallo de memoria al cargar capa WFS to Fallo de memoria al cargar capa WFS (caché vectorial)
- Status changed from Awaiting response to New
- Priority changed from High to Normal
- Target version deleted (2.1.0-2223-rc1)

Hemos estado revisando lo que comentas, y a priori no debe tener relación con el WMS (raster).
Al usar WFS las capas (GML) se cargan en memoria. Si el WFS es de 37Mb es normal que falle.
En gvSIG excepto BBDD y shape, todos los formatos vectoriales se cargan en memoria, por lo que cuando tienen un tamaño considerable, ocurre lo
que comentas.
Más que un bug, el asunto consistiría en evaluar si se añade nueva funcionalidad para tener una caché vectorial. Lo paso a feature request,  es algo
que de abordarse sería post-2.1
